/*
 
 
 The circuit:
 * LED attached from pin 8 to ground 
 * pushbutton attached to pin 7 from +5V
 

 
 
 created 2005
 by DojoDave <http://www.0j0.org>
 modified 30 Aug 2011
 by Tom Igoe
 
 This example code is in the public domain.
 
 */

// constants won't change. They're used here to 
// set pin numbers:
const int buttonPin = 7;     // the number of the pushbutton pin
const int ledPin =  8;      // the number of the LED pin

// variables will change:
int buttonState = 0;         // variable for reading the pushbutton status
//#include <SoftwareSerial.h>
//#define rxPin 0
//#define txPin 1

// set up a new serial port
//SoftwareSerial mySerial =  SoftwareSerial(rxPin, txPin);

void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);      
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT);
  digitalWrite(buttonPin, HIGH);    
// Open serial communications and wait for port to open:
//  mySerial.begin(4800);
//  mySerial.println("Hello, world?");
}

void loop(){

  // read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);
//mySerial.println(buttonState);
  // check if the pushbutton is pressed.
  // if it is, the buttonState is HIGH:
  if (buttonState == HIGH) {     
    // turn LED off:    
    digitalWrite(ledPin, LOW);  
  } 
  else {
    // flash LED on:
    digitalWrite(ledPin, HIGH);
    delay(500);
    digitalWrite(ledPin, LOW);
    delay(500);
    
  }
}
